
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Interface for IDLUrl type. See IDLByte.h
//
// jhrg 1/12/95

#ifndef _idlurl_h
#define _idlurl_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "IDLStr.h"

class IDLUrl: public IDLStr {
public:
    IDLUrl(const string &n = (char *)0);
    virtual ~IDLUrl() {}

    virtual BaseType *ptr_duplicate();
};

// $Log: IDLUrl.h,v $
// Revision 1.3  2000/10/03 23:40:08  jimg
// Moved the CVS Log entries to the end of the files.
// Changed the read() mfuncs so that they match the definition in the
// dap++ library.
// Removed lots of dead code.
//
// Revision 1.2  1999/11/09 05:57:14  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:35  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#endif

